% Generated by roxygen2 (4.0.1): do not edit by hand
\name{getSTORETSampleData}
\alias{getSTORETSampleData}
\title{Import Sample Data for WRTDS}
\usage{
getSTORETSampleData(siteNumber, characteristicName, StartDate, EndDate,
  interactive = TRUE)
}
\arguments{
\item{siteNumber}{string site number.  If USGS, it should be in the form :'USGS-XXXXXXXXX...'}

\item{characteristicName}{string}

\item{StartDate}{string starting date for data retrieval in the form YYYY-MM-DD.}

\item{EndDate}{string ending date for data retrieval in the form YYYY-MM-DD.}

\item{interactive}{logical Option for interactive mode.  If true, there is user interaction for error handling and data checks.}
}
\value{
Sample dataframe
}
\description{
Imports data from the Water Quality Portal. This function gets the data from: \url{http://www.waterqualitydata.us}
For raw data, use getWQPData.  This function will retrieve the raw data, and compress it (summing constituents). See
chapter 7 of the EGRET user guide for more details, then converts it to the Sample dataframe structure.
}
\examples{
# These examples require an internet connection to run
Sample_01075 <- getSTORETSampleData('USGS-01594440','Chloride', '', '')
Sample_All <- getSTORETSampleData('WIDNR_WQX-10032762','Specific conductance', '', '')
}
\seealso{
\code{\link{compressData}}, \code{\link{populateSampleColumns}}
}
\keyword{USGS}
\keyword{WRTDS}
\keyword{data}
\keyword{import}

